org.bouncycastle.openpgp

## Class PGPPBEEncryptedData

- java.lang.Object
- - org.bouncycastle.openpgp.PGPEncryptedData
  - - org.bouncycastle.openpgp.PGPPBEEncryptedData

All Implemented Interfaces:
  SymmetricKeyAlgorithmTags

    public class PGPPBEEncryptedData
    extends PGPEncryptedData

A password based encryption object.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bouncycastle.openpgp.PGPEncryptedData

`PGPEncryptedData.TruncatedStream`

### Field Summary

### Fields inherited from interface org.bouncycastle.bcpg.SymmetricKeyAlgorithmTags

`AES_128, AES_192, AES_256, BLOWFISH, CAST5, DES, IDEA, NULL, SAFER, TRIPLE_DES, TWOFISH`

### Method Summary

Methods
`java.io.InputStream` `getDataStream(char[] passPhrase, java.security.Provider provider)` Return the decrypted input stream, using the passed in passPhrase.
`java.io.InputStream` `getDataStream(char[] passPhrase, java.lang.String provider)` Return the decrypted input stream, using the passed in passPhrase.
`java.io.InputStream` `getInputStream()` Return the raw input stream for the data stream.

### Methods inherited from class org.bouncycastle.openpgp.PGPEncryptedData

`isIntegrityProtected, verify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInputStream

    public java.io.InputStream getInputStream()

Return the raw input stream for the data stream.

Overrides:
  `getInputStream` in class `PGPEncryptedData`
Returns:
  InputStream

#### getDataStream

    public java.io.InputStream getDataStream(char[] passPhrase,
                                    java.lang.String provider)
                                      throws PGPException,
                                             java.security.NoSuchProviderException

Return the decrypted input stream, using the passed in passPhrase.

Parameters:
  `passPhrase` -
  `provider` -
Returns:
  InputStream
Throws:
  `PGPException`
  `java.security.NoSuchProviderException`

#### getDataStream

    public java.io.InputStream getDataStream(char[] passPhrase,
                                    java.security.Provider provider)
                                      throws PGPException

Return the decrypted input stream, using the passed in passPhrase.

Parameters:
  `passPhrase` -
  `provider` -
Returns:
  InputStream
Throws:
  `PGPException`